org.apache.sysds.runtime.functionobjects

## Class MinusMultiply

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.TernaryValueFunction
      - - org.apache.sysds.runtime.functionobjects.MinusMultiply

- All Implemented Interfaces:
    Serializable, TernaryValueFunction.ValueFunctionWithConstant

      public class MinusMultiply
      extends TernaryValueFunction
      implements TernaryValueFunction.ValueFunctionWithConstant, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.functionobjects.TernaryValueFunction

      `TernaryValueFunction.ValueFunctionWithConstant`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `execute(double in1, double in2)`
    `double` | `execute(double in1, double in2, double in3)`
    `double` | `getConstant()`
    `static MinusMultiply` | `getFnObject()`
    `BinaryOperator` | `setOp2Constant(double cnt)`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

      `requiresCorrection`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getConstant

          public double getConstant()

    - #### getFnObject

          public static MinusMultiply getFnObject()

    - #### execute

          public double execute(double in1,
                                double in2,
                                double in3)

      Specified by:
        `execute` in class `TernaryValueFunction`

    - #### setOp2Constant

          public BinaryOperator setOp2Constant(double cnt)

      Specified by:
        `setOp2Constant` in interface `TernaryValueFunction.ValueFunctionWithConstant`

    - #### execute

          public double execute(double in1,
                                double in2)

      Overrides:
        `execute` in class `FunctionObject`

Copyright © 2021 The Apache Software Foundation. All rights reserved.